import { Component, Input, TemplateRef } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgbTooltipModule } from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'app-highlight',
  standalone: true,
  imports: [CommonModule, NgbTooltipModule],
  templateUrl: './highlight.component.html',
  styleUrl: './highlight.component.scss',
})
export class HighlightComponent {
  @Input() text: string = 'Initial';
  @Input() tooltip!: TemplateRef<any>;
}
